Bug 197745 - Review Request: perl-DateTime-Format-ICal
Summary: Review Request: perl-DateTime-Format-ICal
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 197744
Blocks: FE-ACCEPT 193078
TreeView+ depends on / blocked
 
Reported: 2006-07-05 22:01 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 20:36:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Pritchard 2006-07-05 22:01:02 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Format-ICal/perl-DateTime-Format-ICal.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Format-ICal-0.08-1.src.rpm
Description:
This module understands the ICal date/time and duration formats, as defined
in RFC 2445. It can be used to parse these formats in order to create the
appropriate objects.

Comment 1 Jason Tibbitts 2006-07-08 03:19:59 UTC
Unfortunately three of your manual Requires: statements duplicate rpm's
autodependencies.

* source files match upstream:
   b0be692f3a84f2a7f73a39220ec69a52  DateTime-Format-ICal-0.08.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64, many dependencies added to my
local repo).
* rpmlint is silent.
* noarch package, so no debuginfo.
X final provides and requires are sane:
   perl(DateTime::Format::ICal) = 0.08
   perl-DateTime-Format-ICal = 0.08-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
X  perl(DateTime)
X  perl(DateTime) >= 0.17
X  perl(DateTime::Event::ICal)
X  perl(DateTime::Event::ICal) >= 0.03
   perl(DateTime::Set) >= 0.1
   perl(DateTime::Span)
   perl(DateTime::TimeZone) >= 0.22
X  perl(Params::Validate)
X  perl(Params::Validate) >= 0.59
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=5, Tests=134, 11 wallclock secs (11.29 cusr +  0.19 csys = 11.48 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 2 Steven Pritchard 2006-07-08 20:00:09 UTC
Fixed in -2.

http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Format-ICal-0.08-2.src.rpm

Comment 3 Jason Tibbitts 2006-07-08 21:01:55 UTC
The dependency list is now:
   perl(:MODULE_COMPAT_5.8.8)
   perl(DateTime)
   perl(DateTime::Event::ICal)
   perl(DateTime::Set) >= 0.1
   perl(DateTime::Span)
   perl(DateTime::TimeZone) >= 0.22
   perl(Params::Validate)
   perl(strict)
   perl(vars)

which looks good to me.  APPROVED

Comment 4 Steven Pritchard 2006-07-13 20:36:42 UTC
Imported into CVS, branches created, and builds requested.


Note You need to log in before you can comment on or make changes to this bug.